/* Esercizio di conteggio di foglie in un albero binario
   rappresentato per padri -- Alessio Orlandi */
#include <stdio.h>
#include <stdlib.h>


/* Nodi di un albero */
typedef struct _nd { 
  int key;
  struct _nd *sx, *dx; 
} nd;

/* Procedura di conteggio:
   se un nodo X non ha figli, ed e' una foglia: aggiugniamo 1
   se esiset un figlio sx per X, allora conteggiamo il suo
   numero di foglie (ricorsione a sinistra).
   stesso a destra, se si puo', e sommiamo i valori.
  
   La dimostrazione che questo algoritmo funziona puo'
   essere fatta per induzione sull'altezza dell'albero
   (dove il caso base e' 0: foglia).
*/
int conta(nd *nodo)
{
  if ( nodo->sx == NULL && nodo->dx == NULL ) 
     return 1;
  if ( nodo->dx != NULL ) 
     return conta(nodo->sx) + conta(nodo->dx);
  else
     return conta(nodo->sx);
}

int main()
{
  int N, i, padre;
  nd *nodi;

  scanf("%d", &N);
 
  /* Per leggere l'albero procediamo cosi'.
     Organizziamo i nodi all'interno di un array,
     creato fin dall'inizio. In questo modo,
     nodi[i] contiene il puntatore dell'i-esimo nodo
     secondo la nostra numerazione. 
     A questo punto possiamo cominciare a leggere
     i vari valori dell'input: se x e' il padre
     del j-esimo nodo aggiungiamo &nodo[j]  ( = nodo+j)
     come figlio di nodo[x]. */
  nodi = malloc(sizeof(nd)*N);
  for ( i = 0; i < N; i++ ) 
    nodi[i].key = i;
  for ( i = 1; i < N; i++ ) 
  {
    scanf("%d", &padre);
    if ( nodi[ padre ].sx == NULL )  
       nodi [ padre ].sx = &nodi [ i ] ;
    else
       nodi [ padre ].dx = &nodi [ i  ];
  }

  printf("%d\n", conta(&nodi[0] ) );

  return 0;
}
